<?php
// +---------------------------------------------------------------------------+
// | amz plugin search page                                                    |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2005 Andy Maloney [amaloney@users.sf.net]                   |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once( '../lib-common.php' );

AMZ_readPrefs();

// default and default default server
if ( $a_server == '' )
{
	$a_server = $cookie_data['server'];
	
	if ( $a_server == '' )
		$category = 'com';
}

// default and default default category
if ( $category == '' )
{
	$category = $cookie_data['category'];
	
	if ( $category == '' )
		$category = 'Blended';
}

// default and default default keyword
$keyword = trim( $keyword );
$no_keyword = false;

if ( $keyword == '' )
{	
	$keyword = $cookie_data['keyword'];
	
	if ( $keyword == '' )
		$keyword = $_AMZ_PREFS['default_search'];

	if ( $keyword == '' )
		$keyword = 'Maloney';

	$no_keyword = true;
}

// Get the server info
$sql = "SELECT * from {$_TABLES['amz_servers']} WHERE id='$a_server' LIMIT 1";
$res = DB_query( $sql );

$server_info = mysql_fetch_assoc( $res );

$amazon_server = $server_info['server'];
$ass_id = $server_info['user_tag'];
$flag = 'flag_' . $server_info['id'] . '.gif';

if ( $ass_id == NULL )
{
	$ass_id = $server_info['default_tag'];
}
else if ( $_AMZ_PREFS['contribute'] > 0 )
{
	$_AMZ_PREFS['search_count'] += 1;

	if ( $_AMZ_PREFS['search_count'] >= $_AMZ_PREFS['contribute'] )
	{
		$ass_id = $server_info['default_tag'];
		$_AMZ_PREFS['search_count'] = 0;
	}
	
	// Update the search count
	$sql = "UPDATE {$_TABLES['amz_prefs']} SET value=" . $_AMZ_PREFS['search_count'] . " WHERE name='search_count' LIMIT 1";
	DB_query( $sql );
}

// default page
if ( $ItemPage == '' )
	$ItemPage = 1;

$display = '';

// debugging info
/*
$display .= '$PHP_SELF:    ' . $_SERVER['PHP_SELF'] . '<br>';
$display .= '$REQUEST_URI: ' . $_SERVER['REQUEST_URI'] . '<br>';
$display .= '$a_server:    [' . $a_server . ']<br>';
$display .= '$category:    [' . $category . ']<br>';
$display .= '$keyword:     [' . $keyword . ']<br>';
$display .= 'Amazon site:  ' . $amazon_server . '<br>';
$display .= 'ItemPage:     ' . $ItemPage . '<br>';
$display .= 'XSL URL:      ' . $_AMZ_PREFS['xsl'] . '<br>';
$display .= 'Flag:         ' . $flag . '<br>';
$display .= 'Default Tag:  ' . $server_info['default_tag'] . '<br>';
$display .= 'User Tag:     ' . $server_info['user_tag'] . '<br>';
$display .= 'Final Tag:    ' . $ass_id . '<br>';
$display .= 'Contribute N: ' . $_AMZ_PREFS['contribute'] . '<br>';
$display .= 'Search Count: ' . $_AMZ_PREFS['search_count'] . '<br>';
*/

$display .= '<form action="' . $_SERVER['PHP_SELF'] . '">';
$display .= '<div style="text-align: left; padding-top:10px; padding-left:12px;">';
$display .= 'Search amazon.';
$display .= '<select name=a_server>';
$display .= '<option ' . ($a_server == 'com' ? 'SELECTED ' : '' ) . 'value="com">com&nbsp;&nbsp;</option>';
$display .= '<option ' . ($a_server == 'ca' ? 'SELECTED ' : '' ) . 'value="ca">ca</option>';
$display .= '<option ' . ($a_server == 'uk' ? 'SELECTED ' : '' ) . 'value="uk">uk</option>';
$display .= '<option ' . ($a_server == 'fr' ? 'SELECTED ' : '' ) . 'value="fr">fr</option>';
$display .= '<option ' . ($a_server == 'de' ? 'SELECTED ' : '' ) . 'value="de">de</option>';
$display .= '<option ' . ($a_server == 'jp' ? 'SELECTED ' : '' ) . 'value="jp">jp</option>';
$display .= '</select>&nbsp;&nbsp;&nbsp;&nbsp;';

$display .= '<select name=category>';
$display .= '<option ' . ($category == 'Blended' ? 'SELECTED ' : '' ) . 'value="Blended">All</option>';
$display .= '<option ' . ($category == 'Books' ? 'SELECTED ' : '' ) . 'value="Books">Books</option>';
$display .= '<option ' . ($category == 'DVD' ? 'SELECTED ' : '' ) . 'value="DVD">DVDs</option>';
$display .= '<option ' . ($category == 'Music' ? 'SELECTED ' : '' ) . 'value="Music">Music</option>';
$display .= '<option ' . ($category == 'Software' ? 'SELECTED ' : '' ) . 'value="Software">Software&nbsp;&nbsp;</option>';
$display .= '</select>&nbsp;&nbsp;&nbsp;&nbsp;';

$display .= '<input type=text name=keyword size=30 value="' . $keyword . '">&nbsp;&nbsp;&nbsp;&nbsp;';

$display .= '&nbsp;<input type="image" value="Go" name="Submit" '
		. 'src="' . $_CONF['site_url'] . '/amz/images/amazon-go.gif"'
		. 'style="border: 0; vertical-align: middle; width: 21px; height: 21px;">';

$display .= '</div></form>';

$display .= '<hr>';

if ( $no_keyword )
	$display .= "You did not specify a search term, so here's a search for '{$keyword}'.<br><br>";

if ( $a_server == 'com' )
	$xml_server = 'us';
else
	$xml_server = $a_server;
	
$amazon_search_url = "http://xml-{$xml_server}.amznxslt.com/onca/xml?";

// First the amazon vars...
$amazon_search_url .= "Service=AWSECommerceService&SubscriptionId=1M17J4TZNSDYTRSTAZ82";
$amazon_search_url .= "&ResponseGroup=Medium";
$amazon_search_url .= "&AssociateTag=$ass_id";
$amazon_search_url .= "&Operation=ItemSearch";
$amazon_search_url .= "&ItemPage=$ItemPage";
$amazon_search_url .= "&SearchIndex=" . $category;
if ( $category != 'Blended' )
{
	$amazon_search_url .= "&Sort=salesrank";
}
$amazon_search_url .= "&Keywords=" . urlencode( $keyword );
$amazon_search_url .= "&Style={$_AMZ_PREFS['xsl']}";
$amazon_search_url .= "&Version=2005-03-23";

// ...then ours
$amazon_search_url .= "&ServerName=$amazon_server";
$amazon_search_url .= "&a_server=$a_server";
$amazon_search_url .= "&Flag=$flag";
$amazon_search_url .= "&ImgSize={$_AMZ_PREFS['image_size']}";
$amazon_search_url .= "&keyword=" . urlencode( urlencode( $keyword ) );		// [sic]

//$display .= 'Search URL:    ' . $amazon_search_url . '<br>';

// grab search results from amazon
$ch = curl_init();

curl_setopt( $ch, CURLOPT_URL, $amazon_search_url );
curl_setopt( $ch, CURLOPT_HEADER, 0 );
curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );

$results = curl_exec( $ch );

if ( $err = curl_error( $ch ) )
{
	$display .= $err . "<p>Please report this to the site administrator.<br>";
}

curl_close( $ch );

// IF we are using ISO-8859-1
//	THEN convert from UTF-8 so that the pound sign and German chars display properly
if ( $LANG_CHARSET == 'iso-8859-1' )
{
	$results = utf8_decode( $results );
}

$display .= $results;

$cookie_data['server'] = $a_server;
$cookie_data['category'] = $category;
$cookie_data['keyword'] = $keyword;
		
AMZ_writeCookie();

echo COM_siteHeader();
echo COM_startBlock( "Amazon Search Results" );

echo $display;

echo COM_endBlock();
echo COM_siteFooter(true);

?>
