<?php

$_SQL[1] = "
CREATE TABLE {$_TABLES['amz_servers']} (
  id enum('com','ca','uk','fr','de','jp') NOT NULL default 'com',
  server enum('amazon.com','amazon.ca','amazon.co.uk','amazon.fr','amazon.de','amazon.co.jp') NOT NULL default 'amazon.com',
  assoc_server enum('associates.amazon.com','associates.amazon.ca','associates.amazon.co.uk','partenaires.amazon.fr','associates.amazon.de','associates.amazon.co.jp') NOT NULL default 'associates.amazon.com',
  default_tag enum('imol-20','imol0a-20','imol-21','imol08-21','imol05-21','imol-22') NOT NULL default 'imol-20',
  user_tag varchar(32) default NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY server (server)
) PACK_KEYS=1
";

$_SQL[2] = "
CREATE TABLE {$_TABLES['amz_prefs']} (
  name varchar(32) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (name)
)
";

$_DATA[] = "INSERT INTO {$_TABLES['amz_servers']} VALUES ('com', 'amazon.com', 'associates.amazon.com', 'imol-20', '')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_servers']} VALUES ('ca', 'amazon.ca', 'associates.amazon.ca', 'imol0a-20', '')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_servers']} VALUES ('uk', 'amazon.co.uk', 'associates.amazon.co.uk', 'imol-21', '')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_servers']} VALUES ('fr', 'amazon.fr', 'partenaires.amazon.fr', 'imol08-21', '')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_servers']} VALUES ('de', 'amazon.de', 'associates.amazon.de', 'imol05-21', '')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_servers']} VALUES ('jp', 'amazon.co.jp', 'associates.amazon.co.jp', 'imol-22', '')";

$_DATA[] = "INSERT INTO {$_TABLES['amz_prefs']} VALUES ('contribute', '4')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_prefs']} VALUES ('default_category', 'Blended')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_prefs']} VALUES ('default_search', 'Sean Maloney')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_prefs']} VALUES ('default_server', 'com')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_prefs']} VALUES ('image_size', 'Medium')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_prefs']} VALUES ('search_count', '0')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_prefs']} VALUES ('use_cookie', '1')";
$_DATA[] = "INSERT INTO {$_TABLES['amz_prefs']} VALUES ('xsl', '{$xsl_URL}')";

?>